server {
    listen 80;
    server_name google-proxy.adwebcloud.com;

    location / {
        proxy_pass https://www.google.com/;
        proxy_ssl_server_name on;
        proxy_set_header Host www.google.com;
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_http_version 1.1;

        chunked_transfer_encoding off;
        proxy_buffering off;
        proxy_cache off;
    }
}